Subject: [Cose] Recap: Encoding for a single recipient or structure

From: "Jim Schaad" <[email-masked]>
Date: Mon, 18 May 2015 09:59:07 -0700

> > Question: Flattened encoding -

> > a)  Roll into parent map

> > b)  Just be a map

> > c)  Single element in array

 

Based on the messages, there seems to be no support for combining the two
maps together into a single map.  I have therefore removed that from my
working copy of the draft.

There was one request for allowing option b (where a single recipient can be
represented as a single map entry rather than as an array of a single map).
I have looked at code size, and there does not seem to be a lot of code
associated with this option, but as there was no outcry for this option I
have not included it.

Unless others have opinions that they believe need to be expressed, I am
closing this issue.